{% extends 'base.html.twig' %}

{% block title %}Registrace{% endblock %}

{% block body %}
    <form method="post">
        {% if not form.errors and form.registerForm %}
            <p class="accountant-new-client-success">Účet vytvořen</p>
        {% endif %}

        <ul class="parsley-errors-list">
            {% for error in form.errors %}
                <li>{{ error }}</li>
            {% endfor %}
        </ul>

        <div class="input-group">
            <label for="email" class="sr-only">Email</label>
            <input type="email" value="{{ form.email ?? '' }}" name="email" id="email" placeholder="Email" required autofocus>
        </div>
        <div class="input-group">
            <label for="first_name">Jméno</label>
            <input type="text" value="{{ form.first_name ?? '' }}" name="first_name" id="first_name" class="form-control" placeholder="Jméno" required>
        </div>
        <div class="input-group">
            <label for="last_name">Příjmení</label>
            <input type="text" value="{{ form.last_name ?? '' }}" name="last_name" id="last_name" class="form-control" placeholder="Příjmení" required>
        </div>
        <div class="input-group">
            <label for="plain_password">Heslo</label>
            <input type="password" name="plain_password" id="plain_password" class="form-control" placeholder="Heslo" required>
        </div>

        <input type="hidden" name="registerForm" value="submitted">

        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

        <input type="submit" value="Registrovat se" class="margin-middle">
    </form>
{% endblock %}
